org.eclipse.oomph.p2

## Interface P2Package

- All Superinterfaces:
    EModelElement, ENamedElement, EObject, EPackage, Notifier
  All Known Implementing Classes:
    P2PackageImpl

      public interface P2Package
      extends EPackage

  The Package for the model. It contains accessors for the meta objects to represent
  - each class,
  - each feature of each class,
  - each operation of each class,
  - each enum,
  - and each data type
  See Also:
    `P2Factory`
  Generated
  Model
    kind="package" annotation="http://www.eclipse.org/oomph/base/LabelProvider imageBaseURI='http://git.eclipse.org/c/oomph/org.eclipse.oomph.git/plain/plugins/org.eclipse.oomph.p2.edit/icons/full/obj16'"

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `P2Package.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each operation of each class, each enum, and each data type

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `EPackage.Descriptor, EPackage.Registry`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static P2Package` | `eINSTANCE` The singleton instance of the package.
    `static String` | `eNAME` The package name.
    `static String` | `eNS_PREFIX` The package namespace name.
    `static String` | `eNS_URI` The package namespace URI.
    `static int` | `PROFILE_DEFINITION` The meta object id for the '`Profile Definition`' class.
    `static int` | `PROFILE_DEFINITION___GET_ANNOTATION__STRING` The operation id for the 'Get Annotation' operation.
    `static int` | `PROFILE_DEFINITION___SET_REPOSITORIES__ELIST` The operation id for the 'Set Repositories' operation.
    `static int` | `PROFILE_DEFINITION___SET_REQUIREMENTS__ELIST` The operation id for the 'Set Requirements' operation.
    `static int` | `PROFILE_DEFINITION__ANNOTATIONS` The feature id for the 'Annotations' containment reference list.
    `static int` | `PROFILE_DEFINITION__INCLUDE_SOURCE_BUNDLES` The feature id for the 'Include Source Bundles' attribute.
    `static int` | `PROFILE_DEFINITION__REPOSITORIES` The feature id for the 'Repositories' containment reference list.
    `static int` | `PROFILE_DEFINITION__REQUIREMENTS` The feature id for the 'Requirements' containment reference list.
    `static int` | `PROFILE_DEFINITION_FEATURE_COUNT` The number of structural features of the 'Profile Definition' class.
    `static int` | `PROFILE_DEFINITION_OPERATION_COUNT` The number of operations of the 'Profile Definition' class.
    `static int` | `REPOSITORY` The meta object id for the '`Repository`' class.
    `static int` | `REPOSITORY___GET_ANNOTATION__STRING` The operation id for the 'Get Annotation' operation.
    `static int` | `REPOSITORY__ANNOTATIONS` The feature id for the 'Annotations' containment reference list.
    `static int` | `REPOSITORY__TYPE` The feature id for the 'Type' attribute.
    `static int` | `REPOSITORY__URL` The feature id for the 'URL' attribute.
    `static int` | `REPOSITORY_FEATURE_COUNT` The number of structural features of the 'Repository' class.
    `static int` | `REPOSITORY_LIST` The meta object id for the '`Repository List`' class.
    `static int` | `REPOSITORY_LIST___GET_ANNOTATION__STRING` The operation id for the 'Get Annotation' operation.
    `static int` | `REPOSITORY_LIST__ANNOTATIONS` The feature id for the 'Annotations' containment reference list.
    `static int` | `REPOSITORY_LIST__NAME` The feature id for the 'Name' attribute.
    `static int` | `REPOSITORY_LIST__REPOSITORIES` The feature id for the 'Repositories' containment reference list.
    `static int` | `REPOSITORY_LIST_FEATURE_COUNT` The number of structural features of the 'Repository List' class.
    `static int` | `REPOSITORY_LIST_OPERATION_COUNT` The number of operations of the 'Repository List' class.
    `static int` | `REPOSITORY_OPERATION_COUNT` The number of operations of the 'Repository' class.
    `static int` | `REPOSITORY_TYPE` The meta object id for the '`Repository Type`' enum.
    `static int` | `REQUIREMENT` The meta object id for the '`Requirement`' class.
    `static int` | `REQUIREMENT___GET_ANNOTATION__STRING` The operation id for the 'Get Annotation' operation.
    `static int` | `REQUIREMENT___SET_VERSION_RANGE__VERSION_VERSIONSEGMENT` The operation id for the 'Set Version Range' operation.
    `static int` | `REQUIREMENT__ANNOTATIONS` The feature id for the 'Annotations' containment reference list.
    `static int` | `REQUIREMENT__FEATURE` The feature id for the 'Feature' attribute.
    `static int` | `REQUIREMENT__ID` The feature id for the 'ID' attribute.
    `static int` | `REQUIREMENT__NAME` The feature id for the 'Name' attribute.
    `static int` | `REQUIREMENT__NAMESPACE` The feature id for the 'Namespace' attribute.
    `static int` | `REQUIREMENT__OPTIONAL` The feature id for the 'Optional' attribute.
    `static int` | `REQUIREMENT__VERSION_RANGE` The feature id for the 'Version Range' attribute.
    `static int` | `REQUIREMENT_FEATURE_COUNT` The number of structural features of the 'Requirement' class.
    `static int` | `REQUIREMENT_OPERATION_COUNT` The number of operations of the 'Requirement' class.
    `static int` | `VERSION` The meta object id for the 'Version' data type.
    `static int` | `VERSION_RANGE` The meta object id for the 'Version Range' data type.
    `static int` | `VERSION_SEGMENT` The meta object id for the '`Version Segment`' enum.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `P2Factory` | `getP2Factory()` Returns the factory that creates the instances of the model.
    `EOperation` | `getProfileDefinition__SetRepositories__EList()` Returns the meta object for the '`Set Repositories`' operation.
    `EOperation` | `getProfileDefinition__SetRequirements__EList()` Returns the meta object for the '`Set Requirements`' operation.
    `EAttribute` | `getProfileDefinition_IncludeSourceBundles()` Returns the meta object for the attribute '`Include Source Bundles`'.
    `EReference` | `getProfileDefinition_Repositories()` Returns the meta object for the containment reference list '`Repositories`'.
    `EReference` | `getProfileDefinition_Requirements()` Returns the meta object for the containment reference list '`Requirements`'.
    `EClass` | `getProfileDefinition()` Returns the meta object for class '`Profile Definition`'.
    `EAttribute` | `getRepository_Type()` Returns the meta object for the attribute '`Type`'.
    `EAttribute` | `getRepository_URL()` Returns the meta object for the attribute '`URL`'.
    `EClass` | `getRepository()` Returns the meta object for class '`Repository`'.
    `EAttribute` | `getRepositoryList_Name()` Returns the meta object for the attribute '`Name`'.
    `EReference` | `getRepositoryList_Repositories()` Returns the meta object for the containment reference list '`Repositories`'.
    `EClass` | `getRepositoryList()` Returns the meta object for class '`Repository List`'.
    `EEnum` | `getRepositoryType()` Returns the meta object for enum '`Repository Type`'.
    `EOperation` | `getRequirement__SetVersionRange__Version_VersionSegment()` Returns the meta object for the '`Set Version Range`' operation.
    `EAttribute` | `getRequirement_Feature()` Returns the meta object for the attribute '`Feature`'.
    `EAttribute` | `getRequirement_ID()` Returns the meta object for the attribute '`ID`'.
    `EAttribute` | `getRequirement_Name()` Returns the meta object for the attribute '`Name`'.
    `EAttribute` | `getRequirement_Namespace()` Returns the meta object for the attribute '`Namespace`'.
    `EAttribute` | `getRequirement_Optional()` Returns the meta object for the attribute '`Optional`'.
    `EAttribute` | `getRequirement_VersionRange()` Returns the meta object for the attribute '`Version Range`'.
    `EClass` | `getRequirement()` Returns the meta object for class '`Requirement`'.
    `EDataType` | `getVersion()` Returns the meta object for data type '`Version`'.
    `EDataType` | `getVersionRange()` Returns the meta object for data type '`Version Range`'.
    `EEnum` | `getVersionSegment()` Returns the meta object for enum '`Version Segment`'.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eNAME

          static final String eNAME

      The package name.
      See Also:
        Constant Field Values
      Generated

    - #### eNS_URI

          static final String eNS_URI

      The package namespace URI.
      See Also:
        Constant Field Values
      Generated

    - #### eNS_PREFIX

          static final String eNS_PREFIX

      The package namespace name.
      See Also:
        Constant Field Values
      Generated

    - #### eINSTANCE

          static final P2Package eINSTANCE

      The singleton instance of the package.
      Generated

    - #### PROFILE_DEFINITION

          static final int PROFILE_DEFINITION

      The meta object id for the '`Profile Definition`' class.
      See Also:
        `ProfileDefinitionImpl`, `P2PackageImpl.getProfileDefinition()`, Constant Field Values
      Generated

    - #### PROFILE_DEFINITION__ANNOTATIONS

          static final int PROFILE_DEFINITION__ANNOTATIONS

      The feature id for the 'Annotations' containment reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### PROFILE_DEFINITION__REQUIREMENTS

          static final int PROFILE_DEFINITION__REQUIREMENTS

      The feature id for the 'Requirements' containment reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### PROFILE_DEFINITION__REPOSITORIES

          static final int PROFILE_DEFINITION__REPOSITORIES

      The feature id for the 'Repositories' containment reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### PROFILE_DEFINITION__INCLUDE_SOURCE_BUNDLES

          static final int PROFILE_DEFINITION__INCLUDE_SOURCE_BUNDLES

      The feature id for the 'Include Source Bundles' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### PROFILE_DEFINITION_FEATURE_COUNT

          static final int PROFILE_DEFINITION_FEATURE_COUNT

      The number of structural features of the 'Profile Definition' class.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### PROFILE_DEFINITION___GET_ANNOTATION__STRING

          static final int PROFILE_DEFINITION___GET_ANNOTATION__STRING

      The operation id for the 'Get Annotation' operation.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### PROFILE_DEFINITION___SET_REQUIREMENTS__ELIST

          static final int PROFILE_DEFINITION___SET_REQUIREMENTS__ELIST

      The operation id for the 'Set Requirements' operation.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### PROFILE_DEFINITION___SET_REPOSITORIES__ELIST

          static final int PROFILE_DEFINITION___SET_REPOSITORIES__ELIST

      The operation id for the 'Set Repositories' operation.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### PROFILE_DEFINITION_OPERATION_COUNT

          static final int PROFILE_DEFINITION_OPERATION_COUNT

      The number of operations of the 'Profile Definition' class.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### REQUIREMENT

          static final int REQUIREMENT

      The meta object id for the '`Requirement`' class.
      See Also:
        `RequirementImpl`, `P2PackageImpl.getRequirement()`, Constant Field Values
      Generated

    - #### REQUIREMENT__ANNOTATIONS

          static final int REQUIREMENT__ANNOTATIONS

      The feature id for the 'Annotations' containment reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### REQUIREMENT__ID

          static final int REQUIREMENT__ID

      The feature id for the 'ID' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### REQUIREMENT__NAME

          static final int REQUIREMENT__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### REQUIREMENT__NAMESPACE

          static final int REQUIREMENT__NAMESPACE

      The feature id for the 'Namespace' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### REQUIREMENT__VERSION_RANGE

          static final int REQUIREMENT__VERSION_RANGE

      The feature id for the 'Version Range' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### REQUIREMENT__OPTIONAL

          static final int REQUIREMENT__OPTIONAL

      The feature id for the 'Optional' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### REQUIREMENT__FEATURE

          static final int REQUIREMENT__FEATURE

      The feature id for the 'Feature' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### REQUIREMENT_FEATURE_COUNT

          static final int REQUIREMENT_FEATURE_COUNT

      The number of structural features of the 'Requirement' class.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### REQUIREMENT___GET_ANNOTATION__STRING

          static final int REQUIREMENT___GET_ANNOTATION__STRING

      The operation id for the 'Get Annotation' operation.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### REQUIREMENT___SET_VERSION_RANGE__VERSION_VERSIONSEGMENT

          static final int REQUIREMENT___SET_VERSION_RANGE__VERSION_VERSIONSEGMENT

      The operation id for the 'Set Version Range' operation.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### REQUIREMENT_OPERATION_COUNT

          static final int REQUIREMENT_OPERATION_COUNT

      The number of operations of the 'Requirement' class.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### REPOSITORY_LIST

          static final int REPOSITORY_LIST

      The meta object id for the '`Repository List`' class.
      See Also:
        `RepositoryListImpl`, `P2PackageImpl.getRepositoryList()`, Constant Field Values
      Generated

    - #### REPOSITORY

          static final int REPOSITORY

      The meta object id for the '`Repository`' class.
      See Also:
        `RepositoryImpl`, `P2PackageImpl.getRepository()`, Constant Field Values
      Generated

    - #### REPOSITORY_LIST__ANNOTATIONS

          static final int REPOSITORY_LIST__ANNOTATIONS

      The feature id for the 'Annotations' containment reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### REPOSITORY_LIST__REPOSITORIES

          static final int REPOSITORY_LIST__REPOSITORIES

      The feature id for the 'Repositories' containment reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### REPOSITORY_LIST__NAME

          static final int REPOSITORY_LIST__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### REPOSITORY_LIST_FEATURE_COUNT

          static final int REPOSITORY_LIST_FEATURE_COUNT

      The number of structural features of the 'Repository List' class.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### REPOSITORY_LIST___GET_ANNOTATION__STRING

          static final int REPOSITORY_LIST___GET_ANNOTATION__STRING

      The operation id for the 'Get Annotation' operation.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### REPOSITORY_LIST_OPERATION_COUNT

          static final int REPOSITORY_LIST_OPERATION_COUNT

      The number of operations of the 'Repository List' class.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### REPOSITORY__ANNOTATIONS

          static final int REPOSITORY__ANNOTATIONS

      The feature id for the 'Annotations' containment reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### REPOSITORY__URL

          static final int REPOSITORY__URL

      The feature id for the 'URL' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### REPOSITORY__TYPE

          static final int REPOSITORY__TYPE

      The feature id for the 'Type' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### REPOSITORY_FEATURE_COUNT

          static final int REPOSITORY_FEATURE_COUNT

      The number of structural features of the 'Repository' class.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### REPOSITORY___GET_ANNOTATION__STRING

          static final int REPOSITORY___GET_ANNOTATION__STRING

      The operation id for the 'Get Annotation' operation.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### REPOSITORY_OPERATION_COUNT

          static final int REPOSITORY_OPERATION_COUNT

      The number of operations of the 'Repository' class.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### REPOSITORY_TYPE

          static final int REPOSITORY_TYPE

      The meta object id for the '`Repository Type`' enum.
      See Also:
        `RepositoryType`, `P2PackageImpl.getRepositoryType()`, Constant Field Values
      Generated

    - #### VERSION_SEGMENT

          static final int VERSION_SEGMENT

      The meta object id for the '`Version Segment`' enum.
      See Also:
        `VersionSegment`, `P2PackageImpl.getVersionSegment()`, Constant Field Values
      Generated

    - #### VERSION

          static final int VERSION

      The meta object id for the 'Version' data type.
      See Also:
        `Version`, `P2PackageImpl.getVersion()`, Constant Field Values
      Generated

    - #### VERSION_RANGE

          static final int VERSION_RANGE

      The meta object id for the 'Version Range' data type.
      See Also:
        `VersionRange`, `P2PackageImpl.getVersionRange()`, Constant Field Values
      Generated

  - ### Method Detail

    - #### getProfileDefinition

          EClass getProfileDefinition()

      Returns the meta object for class '`Profile Definition`'.
      Returns:
        the meta object for class 'Profile Definition'.
      See Also:
        `ProfileDefinition`
      Generated

    - #### getProfileDefinition_Requirements

          EReference getProfileDefinition_Requirements()

      Returns the meta object for the containment reference list '`Requirements`'.
      Returns:
        the meta object for the containment reference list 'Requirements'.
      See Also:
        `ProfileDefinition.getRequirements()`, `getProfileDefinition()`
      Generated

    - #### getProfileDefinition_Repositories

          EReference getProfileDefinition_Repositories()

      Returns the meta object for the containment reference list '`Repositories`'.
      Returns:
        the meta object for the containment reference list 'Repositories'.
      See Also:
        `ProfileDefinition.getRepositories()`, `getProfileDefinition()`
      Generated

    - #### getProfileDefinition_IncludeSourceBundles

          EAttribute getProfileDefinition_IncludeSourceBundles()

      Returns the meta object for the attribute '`Include Source Bundles`'.
      Returns:
        the meta object for the attribute 'Include Source Bundles'.
      See Also:
        `ProfileDefinition.isIncludeSourceBundles()`, `getProfileDefinition()`
      Generated

    - #### getProfileDefinition__SetRequirements__EList

          EOperation getProfileDefinition__SetRequirements__EList()

      Returns the meta object for the '`Set Requirements`' operation.
      Returns:
        the meta object for the 'Set Requirements' operation.
      See Also:
        `ProfileDefinition.setRequirements(org.eclipse.emf.common.util.EList)`
      Generated

    - #### getProfileDefinition__SetRepositories__EList

          EOperation getProfileDefinition__SetRepositories__EList()

      Returns the meta object for the '`Set Repositories`' operation.
      Returns:
        the meta object for the 'Set Repositories' operation.
      See Also:
        `ProfileDefinition.setRepositories(org.eclipse.emf.common.util.EList)`
      Generated

    - #### getRequirement

          EClass getRequirement()

      Returns the meta object for class '`Requirement`'.
      Returns:
        the meta object for class 'Requirement'.
      See Also:
        `Requirement`
      Generated

    - #### getRequirement_ID

          EAttribute getRequirement_ID()

      Returns the meta object for the attribute '`ID`'.
      Returns:
        the meta object for the attribute 'ID'.
      See Also:
        `Requirement`, `getRequirement()`
      Generated

    - #### getRequirement_Name

          EAttribute getRequirement_Name()

      Returns the meta object for the attribute '`Name`'.
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `Requirement.getName()`, `getRequirement()`
      Generated

    - #### getRequirement_Namespace

          EAttribute getRequirement_Namespace()

      Returns the meta object for the attribute '`Namespace`'.
      Returns:
        the meta object for the attribute 'Namespace'.
      See Also:
        `Requirement.getNamespace()`, `getRequirement()`
      Generated

    - #### getRequirement_VersionRange

          EAttribute getRequirement_VersionRange()

      Returns the meta object for the attribute '`Version Range`'.
      Returns:
        the meta object for the attribute 'Version Range'.
      See Also:
        `Requirement.getVersionRange()`, `getRequirement()`
      Generated

    - #### getRequirement_Optional

          EAttribute getRequirement_Optional()

      Returns the meta object for the attribute '`Optional`'.
      Returns:
        the meta object for the attribute 'Optional'.
      See Also:
        `Requirement.isOptional()`, `getRequirement()`
      Generated

    - #### getRequirement_Feature

          EAttribute getRequirement_Feature()

      Returns the meta object for the attribute '`Feature`'.
      Returns:
        the meta object for the attribute 'Feature'.
      See Also:
        `Requirement.isFeature()`, `getRequirement()`
      Generated

    - #### getRequirement__SetVersionRange__Version_VersionSegment

          EOperation getRequirement__SetVersionRange__Version_VersionSegment()

      Returns the meta object for the '`Set Version Range`' operation.
      Returns:
        the meta object for the 'Set Version Range' operation.
      See Also:
        `Requirement.setVersionRange(org.eclipse.equinox.p2.metadata.Version, org.eclipse.oomph.p2.VersionSegment)`
      Generated

    - #### getRepositoryList

          EClass getRepositoryList()

      Returns the meta object for class '`Repository List`'.
      Returns:
        the meta object for class 'Repository List'.
      See Also:
        `RepositoryList`
      Generated

    - #### getRepositoryList_Repositories

          EReference getRepositoryList_Repositories()

      Returns the meta object for the containment reference list '`Repositories`'.
      Returns:
        the meta object for the containment reference list 'Repositories'.
      See Also:
        `RepositoryList.getRepositories()`, `getRepositoryList()`
      Generated

    - #### getRepositoryList_Name

          EAttribute getRepositoryList_Name()

      Returns the meta object for the attribute '`Name`'.
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `RepositoryList.getName()`, `getRepositoryList()`
      Generated

    - #### getRepository

          EClass getRepository()

      Returns the meta object for class '`Repository`'.
      Returns:
        the meta object for class 'Repository'.
      See Also:
        `Repository`
      Generated

    - #### getRepository_URL

          EAttribute getRepository_URL()

      Returns the meta object for the attribute '`URL`'.
      Returns:
        the meta object for the attribute 'URL'.
      See Also:
        `Repository.getURL()`, `getRepository()`
      Generated

    - #### getRepository_Type

          EAttribute getRepository_Type()

      Returns the meta object for the attribute '`Type`'.
      Returns:
        the meta object for the attribute 'Type'.
      See Also:
        `Repository.getType()`, `getRepository()`
      Generated

    - #### getRepositoryType

          EEnum getRepositoryType()

      Returns the meta object for enum '`Repository Type`'.
      Returns:
        the meta object for enum 'Repository Type'.
      See Also:
        `RepositoryType`
      Generated

    - #### getVersionSegment

          EEnum getVersionSegment()

      Returns the meta object for enum '`Version Segment`'.
      Returns:
        the meta object for enum 'Version Segment'.
      See Also:
        `VersionSegment`
      Generated

    - #### getVersion

          EDataType getVersion()

      Returns the meta object for data type '`Version`'.
      Returns:
        the meta object for data type 'Version'.
      See Also:
        `Version`
      Generated
      Model
        instanceClass="org.eclipse.equinox.p2.metadata.Version"

    - #### getVersionRange

          EDataType getVersionRange()

      Returns the meta object for data type '`Version Range`'.
      Returns:
        the meta object for data type 'Version Range'.
      See Also:
        `VersionRange`
      Generated
      Model
        instanceClass="org.eclipse.equinox.p2.metadata.VersionRange"

    - #### getP2Factory

          P2Factory getP2Factory()

      Returns the factory that creates the instances of the model.
      Returns:
        the factory that creates the instances of the model.
      Generated

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html